//	+---------------------------+
//	|	Gun Plus				|
//	|	Version 1.0				|
//	|	By Zapk - 12270			|
//	+---------------------------+

//audio
datablock AudioProfile(GunPlusFireSound)
{
	filename	 = "./gunShot1.wav";
	description = AudioClose3d;
	preload = true;
};
datablock AudioProfile(GunPlusBulletHitSound : GunPlusFireSound)
{
	filename	 = "./bulletHit.wav";
};
datablock AudioProfile(GunPlusReloadSound : GunPlusFireSound)
{
	filename	= "./gunReload1.wav";
};

datablock ExplosionData(gunPlusExplosion : gunExplosion)
{
	soundProfile = GunPlusBulletHitSound;
};

datablock ProjectileData(GunPlusProjectile : gunProjectile)
{
	projectileShapeName = "./bullet.dts";
	explosion			  = GunPlusExplosion;
	uiName = "Gun+ Bullet";
};

datablock ItemData(GunPlusItem : GunItem)
{
	shapeFile = "./item.dts";
	uiName = "Gun+";
	image = GunPlusImage;
};

datablock ShapeBaseImageData(GunPlusImage : gunImage)
{
	shapeFile = "./pistol.dts";
	projectile = GunPlusProjectile;
	
	stateName[0]							= "Activate";
	stateTimeoutValue[0]				 = 0.15;
	stateTransitionOnTimeout[0]		 = "Reload";
	stateSound[0]					= weaponSwitchSound;

	stateName[1]							= "Ready";
	stateTransitionOnTriggerDown[1]  = "Fire";
	stateAllowImageChange[1]			= true;
	stateSequence[1]	= "Ready";

	stateName[2]						  = "Fire";
	stateTransitionOnTimeout[2]	  = "Smoke";
	stateTimeoutValue[2]				= 0;
	stateFire[2]						  = true;
	stateAllowImageChange[2]		  = false;
	stateSequence[2]					 = "Fire";
	stateScript[2]						= "onFire";
	stateWaitForTimeout[2]			= false;
	stateEmitter[2]					= gunFlashEmitter;
	stateEmitterTime[2]				= 0.05;
	stateEmitterNode[2]				= "muzzlePoint";
	stateSound[2]					= GunPlusFireSound;
	stateEjectShell[2]		 = true;

	stateName[3] = "Smoke";
	stateEmitter[3]					= gunSmokeEmitter;
	stateEmitterTime[3]				= 0.05;
	stateEmitterNode[3]				= "muzzlePoint";
	stateTimeoutValue[3]				= 0;
	stateWaitForTimeout[3]			= false;
	stateTransitionOnTimeout[3]	  = "Reload";

	stateName[4]			= "Reload";
	stateSequence[4]					 = "Reload";
	stateTimeoutValue[4]				 = 1.15;
	stateWaitForTimeout[4]			= true;
	stateSound[4]					= GunPlusReloadSound;
	stateTransitionOnTimeout[4]	  = "Wait";
	
	stateName[5]			= "Wait";
	stateTimeoutValue[5]				 = 1;
	stateWaitForTimeout[5]			= true;
	stateTransitionOnTimeout[5]	  = "Ready";
};

function GunPlusImage::onFire(%this,%obj,%slot)
{
	if(%obj.getDamagePercent() < 1.0)
	{
		%obj.playThread(2, shiftAway);
	}
	Parent::onFire(%this,%obj,%slot);	
}

function GunPlusImage::onMount(%this,%obj,%slot)
{
	%obj.hideNode("RHand");
	Parent::onMount(%this,%obj,%slot);	
}

function GunPlusImage::onUnMount(%this,%obj,%slot)
{
	%obj.unHideNode("RHand");
	Parent::onUnMount(%this,%obj,%slot);	
}
